#ifndef MY_DISPLAY
#define MY_DISPLAY

// ---------------------------------------------------------------------------------------------------------------------
// Display und zugehörige Port-IOs init
void display_init (void);
// ---------------------------------------------------------------------------------------------------------------------
// Zeigt "Normalanzeige" an: Oben Uhrzeit, Unten Weckzeit
// ggf. mit Minutenanzeige eines laufenden Sleep-Timers
// Übergabe: Uhrzeit, Weckzeit
void display_time_alarmtime (timehms_t cur_time, timehms_t alarm_time);
// ---------------------------------------------------------------------------------------------------------------------
// Startanzeige zur Ausgabe der Anzahl Musikstücke auf Karte
// Anzahl muß übergeben werden
void display_tracks_in_root (uint8_t tracks);
// ---------------------------------------------------------------------------------------------------------------------
// Zeigt Menu an  und läßt Einstellungen tätigen,
// Kehrt zurück wenn Einstellungen beendet wurden
void display_menu (void);
// ---------------------------------------------------------------------------------------------------------------------
// Zeigt Text "Aufstehen!" sowie zugehörig die Uhrzeit und aktuelle Lautstärke
// Übergabe: aktuelle Zeit und aktuelle Lautstärkestufe während des Alarms
//           wenn vol_fadeup != 0, werden Pfeile nach oben gezeigt zum symbolisieren des Up-Fadings
//           wenn vol_fadeup == 0, werden Pfeile nach Links, Rechts gezeigt zum symbolisieren des unterbrochenen Fadens
void display_wakeup (timehms_t cur_time, uint8_t cur_vol, uint8_t vol_fadeup);
// ---------------------------------------------------------------------------------------------------------------------
// Zeigt Alarmtext "Jetzt komm endlich aus den Federn!" an
void display_alarmtext (void);
// ---------------------------------------------------------------------------------------------------------------------

#endif
