/*
 * eemem.c
 *
 * Copyright 2019 Thomas Gollmer <th_goso@freenet.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 * Speichern und Lesen von Einstellungen im AVR-internen EEPROM
 */

#include <avr/eeprom.h>
#include "eemem.h"

// EEPROM Speicher für 5 Variablen (Konstannten aus eemem.h):
static uint8_t EEMEM EEData[5] = {6, 0, 20, 25, 10};


/***********************************************************************************************************************
* öffentliche Funktion
*
* Schreibt Datenbyte ins EEPROM
***********************************************************************************************************************/
void eemem_write_data (uint8_t name, uint8_t data)
{
  eeprom_write_byte (&EEData[name], data);
}
/***********************************************************************************************************************
* öffentliche Funktion
*
* Liest Datenbyte aus EEPROM
***********************************************************************************************************************/
uint8_t eemem_read_data (uint8_t name)
{
  return eeprom_read_byte(&EEData[name]);
}
