#ifndef MY_MP3PLAYER
#define MY_MP3PLAYER

// ---------------------------------------------------------------------------------------------------------------------
// Initialisierung MP3-Modul und IOs / UART
void mp3_player_init (void);
// ---------------------------------------------------------------------------------------------------------------------
// Schaltet MP3-Player ab / versetzt ihn in Sleep-Mode
void mp3_player_sleep (void);
// ---------------------------------------------------------------------------------------------------------------------
// Schaltet MP3-Player ein / sendet Soft-Reset, sodaß er aus einem Sleep aufwacht
void mp3_player_wakeup (void);
// ---------------------------------------------------------------------------------------------------------------------
// beginnt mit dem Abspielen des Stückes mit der Nummer song_no (im root der SD-Card)
// Übergabe: Titelnummer 1...Anzahl Tracks
void mp3_player_play (uint8_t song_no);
// ---------------------------------------------------------------------------------------------------------------------
// Stoppt eine laufende Wiedergabe
void mp3_player_stop (void);
// ---------------------------------------------------------------------------------------------------------------------
// Setzt Ausgabelautstärke
// Übergabe: Stufe = 1...30
void mp3_player_set_volume (uint8_t volume);
// ---------------------------------------------------------------------------------------------------------------------
// Vermindert oder erhöht Lautstärke des MP3-Players um eine Stufe
void mp3_player_inc_volume (void);
void mp3_player_dec_volume (void);
// ---------------------------------------------------------------------------------------------------------------------
// Liest Anzahl abspielbarer Musikstücke im Wurzelverzeichnis der SD-Karte
// und gibt die Anzahl zurück (max. 99)
uint8_t mp3_player_get_tracks (void);
// ---------------------------------------------------------------------------------------------------------------------

#endif
